PICOTOOL-OTP-DUMP(1)

NAME
picotool-otp-dump - Dump entire OTP

SYNOPSIS
picotool otp dump [-r] [-e] [-p] [--output <filename>] [device-selection]

picotool otp dump [-r] [-e] [-p] [--output <filename>] <input> [-t <type>]

OPTIONS
Row/field options

-r, --raw
    Get raw 24-bit values. This is the default

-e, --ecc
    Use error correction

-p, --pages
    Index by page number & row number

--output <filename>
    Output BIN file to dump to (optional)

TARGET SELECTION
To dump the contents of a target device

--bus <bus>
    Filter devices by USB bus number

--address <addr>
    Filter devices by USB device address

--vid <vid>
    Filter by vendor id

--pid <pid>
    Filter by product id

--ser <ser>
    Filter by serial number

-f, --force
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will berebooted back to application mode

-F, --force-no-reboot
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will be leftconnected and accessible to picotool, but without the USB drivemounted

To dump the contents of an OTP JSON file

<input>
    The file name

-t <type>
    Specify file type (json) explicitly, ignoring file extension